(*
 * copyright (c) 2006 Michael Niedermayer <michaelni@gmx.at>
 *
 * This file is part of FFmpeg.
 *
 * FFmpeg is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * FFmpeg is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with FFmpeg; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

 delphi translation @ 25-feb-2008

 *)

unit crc;

interface

uses
  windows;

const
  dll_name = '';

type
  int = integer;
  AVCRC = int;
  PAVCRC = ^AVCRC;

  TAVCRCId = (
    AV_CRC_8_ATM,
    AV_CRC_16_ANSI,
    AV_CRC_16_CCITT,
    AV_CRC_32_IEEE,
    AV_CRC_32_IEEE_LE,  (*< reversed bitorder version of AV_CRC_32_IEEE *)
    AV_CRC_MAX         (*< not part of public API! don't use outside lavu *)
  );

function av_crc_init (ctx: PAVCRC; le: int; bits: int; poly: cardinal; ctx_size: int): int;
  stdcall; external dll_name;
function av_crc_get_table (crc_id: TAVCRCId): PAVCRC;
  stdcall; external dll_name;
function av_crc (ctx: PAVCRC; start_crc: cardinal; const buffer: PByte; length: integer): cardinal;
  stdcall; external dll_name;

implementation

end.
