(*
 * copyright (c) 2005 Michael Niedermayer <michaelni@gmx.at>
 *
 * This file is part of FFmpeg.
 *
 * FFmpeg is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * FFmpeg is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with FFmpeg; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

 delphi translation @ 25-feb-2008

 *)

unit intfloat_readwrite;

interface

uses
  windows;

const
  dll_name = '';

type
(* IEEE 80 bits extended float *)
  TAVExtFloat = record
    exponent: array [0..1] of byte;
    mantissa: array [0..7] of byte;
  end;

function av_int2dbl (v: int64): double;
  stdcall; external dll_name;
function av_int2flt (v: integer): single;
  stdcall; external dll_name;
function av_ext2dbl (const ext: TAVExtFloat): double;
  stdcall; external dll_name;
function av_dbl2int (d: double): int64;
  stdcall; external dll_name;
function av_flt2int (d: single): integer;
  stdcall; external dll_name;
function av_dbl2ext (d: double): TAVExtFloat ;
  stdcall; external dll_name;

implementation

end.
