(*
 * copyright (c) 2001 Fabrice Bellard
 *
 * This file is part of FFmpeg.
 *
 * FFmpeg is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * FFmpeg is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with FFmpeg; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

   ===

   revision 15120, 31-aug-2008

   delphi conversion of libavcodec/random.h

   slightly.fat.hamster@gmail.com, originally by Victor Zinetz

   24-sept-2008

   ===
 *)

unit random;

interface

uses
  windows;

const
  AV_RANDOM_N = 624;
  dll_name = 'avutil-49.dll';

type
  PAVRandomState = ^TAVRandomState;
  TAVRandomState = record
    mt: array [0..AV_RANDOM_N-1] of cardinal; ///< the array for the state vector
    index: integer; ///< Current untempered value we use as the base.
  end;

procedure av_init_random (seed: cardinal; state: PAVRandomState); ///< To be inlined, the struct must be visible. So it does not make sense to try and keep it opaque with malloc/free-like calls.
  cdecl; external dll_name;
procedure av_random_generate_untempered_numbers (state: PAVRandomState); ///< Regenerate the untempered numbers (must be done every 624 iterations, or it will loop).
  cdecl; external dll_name;

implementation

end.
