(*
 * copyright (c) 2001 Fabrice Bellard
 *
 * This file is part of FFmpeg.
 *
 * FFmpeg is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * FFmpeg is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with FFmpeg; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

   ===

   revision 15120, 31-aug-2008

   delphi conversion of libavcodec/sha1.h

   slightly.fat.hamster@gmail.com, originally by Victor Zinetz

   24-sept-2008

   ===
*)

unit sha1;

interface

uses
  windows;

const
  dll_name = '';

type
  PAVSHA1 = pointer;
  TDigest = array [0..19] of byte;

procedure av_sha1_init (context: PAVSHA1);
  stdcall; external dll_name;
procedure av_sha1_update (context: PAVSHA1; const data: PByte; len: cardinal);
  stdcall; external dll_name;
procedure av_sha1_final (context: PAVSHA1; digest: TDigest);
  stdcall; external dll_name;

implementation

end.
